# SteakHouse API Documentation

The Steakhouse Token API provides you with a powerful set of endpoints to access on-chain token data and insights for the Steakhouse ecosystem. Whether you’re looking to retrieve the highest-volume tokens, filter by tax rate or market cap, inspect trending tokens, fetch detailed snapshots of individual tokens, or trade your favourites, this API gives you the data you need. Check for updates, currently the service is on version 1.

#### ✅  API Key Signup

Getting started is simple and free (for now). To obtain your API key:

1. Open the Telegram bot [@SteakTechBot](https://t.me/SteakTechBot) and send the command **`/getApi`**.
2. The bot will guide you through signup and generate your unique API key.
3. Once you have your key, include it in every request via the `x-api-key` header.

That’s it. You’re ready to start querying and building with the Steakhouse Token API.&#x20;

API requests are limited to 25 reqs/min, paid tiers will be introduced in the future.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cookbook.steakhouse.finance/api-reference/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
